import 'pass_mtx_platform_interface.dart';

class PassMtx {
  Future<String?> getPlatformVersion() {
    return PassMtxPlatform.instance.getPlatformVersion();
  }

  /// Check Pass backend
  Future<String?> getPassPing() {
    return PassMtxPlatform.instance.getPassPing();
  }

  /// Pass Native Version
  Future<String?> getPassVersion() {
    return PassMtxPlatform.instance.getPassVersion();
  }

  /// Initialize PassMtx
  Future<String?> init(
      String appId, String clientId, String privatePem, String publicPem) {
    return PassMtxPlatform.instance
        .init(appId, clientId, privatePem, publicPem);
  }
  /// Get Card Tokens for User
  Future<String?> getCard(String userId) {
    return PassMtxPlatform.instance.getCard(userId);
  }
  
  /// Save Card for User
  Future<String?> saveCard(String userId, String szPan, String cvv,
      String expDate, String cardHolderName) {
    return PassMtxPlatform.instance
        .saveCard(userId, szPan, cvv, expDate, cardHolderName);
  }
}
